<!DOCTYPE html>
<html prefix="og: http://ogp.me/ns# article: http://ogp.me/ns/article# " lang="pl">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Uruchamianie TWBlue z kodu źródłowego | TWBlue</title>
<link href="../../../assets/css/all-nocdn.css" rel="stylesheet" type="text/css">
<link href="https://fonts.googleapis.com/css?family=Playfair+Display:700,900" rel="stylesheet">
<meta name="theme-color" content="#5670d4">
<meta name="generator" content="Nikola (getnikola.com)">
<link rel="alternate" type="application/rss+xml" title="RSS (pl)" hreflang="pl" href="../../rss.xml">
<link rel="alternate" type="application/rss+xml" title="RSS (en)" hreflang="en" href="../../../rss.xml">
<link rel="alternate" type="application/rss+xml" title="RSS (es)" hreflang="es" href="../../../es/rss.xml">
<link rel="alternate" type="application/rss+xml" title="RSS (fr)" hreflang="fr" href="../../../fr/rss.xml">
<link rel="alternate" type="application/rss+xml" title="RSS (ru)" hreflang="ru" href="../../../ru/rss.xml">
<link rel="canonical" href="https://twblue.es/pl/posts/2/">
<!--[if lt IE 9]><script src="../../../../assets/js/html5.js"></script><![endif]--><meta name="author" content="MCV Software">
<link rel="prev" href="../1/" title="Witamy na nowej stronie programu TWBlue " type="text/html">
<link rel="next" href="../snapshots/" title="Wersje rozwojowe powracają!" type="text/html">
<meta property="og:site_name" content="TWBlue">
<meta property="og:title" content="Uruchamianie TWBlue z kodu źródłowego">
<meta property="og:url" content="https://twblue.es/pl/posts/2/">
<meta property="og:description" content="Wielu użytkowników Twittera zaczęło używać TWBlue z kodu źródłowego. Oznacza to, że dostają oni kod źródłowy wraz z  pojawieniem się nowej listy zmian lub aktualizacji i uruchamiają daną wersję TWBlue">
<meta property="og:type" content="article">
<meta property="article:published_time" content="2017-01-04T04:35:11-06:00">
<link rel="alternate" hreflang="en" href="../../../posts/2/">
</head>
<body>
<a href="#content" class="sr-only sr-only-focusable">Przejdź do treści</a>

<!-- Header and menu bar -->
<div class="container">
      <header class="blog-header py-3"><div class="row nbb-header align-items-center">
          <div class="col-md-3 col-xs-2 col-sm-2" style="width: auto;">
            <button class="navbar-toggler navbar-light bg-light nbb-navbar-toggler" type="button" data-toggle="collapse" data-target=".bs-nav-collapsible" aria-controls="bs-navbar" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse bs-nav-collapsible bootblog4-search-form-holder">
                
            </div>
        </div>
          <div class="col-md-6 col-xs-10 col-sm-10 bootblog4-brand" style="width: auto;">
            <a class="navbar-brand blog-header-logo text-dark" href="../../">

            <span id="blog-title">TWBlue</span>
        </a>
          </div>
            <div class="col-md-3 justify-content-end align-items-center bs-nav-collapsible collapse flex-collapse bootblog4-right-nav">
            <nav class="navbar navbar-light bg-white"><ul class="navbar-nav bootblog4-right-nav">
<li class="nav-item"><a href="../../../" rel="alternate" hreflang="en" class="nav-link">English</a></li>
            <li class="nav-item"><a href="../../../es/" rel="alternate" hreflang="es" class="nav-link">Español</a></li>
            <li class="nav-item"><a href="../../../fr/" rel="alternate" hreflang="fr" class="nav-link">Français</a></li>
            <li class="nav-item"><a href="../../../ru/" rel="alternate" hreflang="ru" class="nav-link">Русский</a></li>

                    
                    

                    
            </ul></nav>
</div>
    </div>
</header><nav class="navbar navbar-expand-md navbar-light bg-white static-top"><div class="collapse navbar-collapse bs-nav-collapsible" id="bs-navbar">
            <ul class="navbar-nav nav-fill d-flex w-100">
<li class="nav-item">
<a href="../../../index.html" class="nav-link">Home</a>
                </li>
<li class="nav-item">
<a href="../../../donate" class="nav-link">Make a donation</a>
                </li>
<li class="nav-item">
<a href="../../../downloads" class="nav-link">Downloads</a>
                </li>
<li class="nav-item">
<a href="../../../documentation" class="nav-link">Documentation</a>
                </li>
<li class="nav-item">
<a href="../../../soundpacks" class="nav-link">Soundpacks</a>
                </li>
<li class="nav-item">
<a href="https://github.com/mcv-software/twblue/issues" class="nav-link">Issues</a>
                </li>
<li class="nav-item">
<a href="../../../team" class="nav-link">Our team</a>

                
            </li>
</ul>
</div>
<!-- /.navbar-collapse -->
</nav>
</div>

<div class="container" id="content" role="main">
    <div class="body-content">
        <!--Body content-->
        
        
        
<article class="post-text h-entry hentry postpage" itemscope="itemscope" itemtype="http://schema.org/Article"><header><h1 class="p-name entry-title" itemprop="headline name"><a href="." class="u-url">Uruchamianie TWBlue z kodu źródłowego</a></h1>

        <div class="metadata">
            <p class="byline author vcard p-author h-card"><span class="byline-name fn p-name" itemprop="author">
                    MCV Software
            </span></p>
            <p class="dateline">
            <a href="." rel="bookmark">
            <time class="published dt-published" datetime="2017-01-04T04:35:11-06:00" itemprop="datePublished" title="2017-01-04 04:35">2017-01-04 04:35</time></a>
            </p>
            

        </div>
        
        <div class="metadata posttranslations translations">
            <h3 class="posttranslations-intro">Również dostępny w językach:</h3>
                <p><a href="../../../posts/2/" rel="alternate" hreflang="en">English</a></p>
        </div>

    </header><div class="e-content entry-content" itemprop="articleBody text">
    <p>Wielu użytkowników Twittera zaczęło używać TWBlue z kodu źródłowego. Oznacza to, że dostają oni kod źródłowy wraz z  pojawieniem się nowej listy zmian lub aktualizacji i uruchamiają daną wersję TWBlue ze zmienionymi kawałkami kodu. Poproszono mnie o przygotowanie “oficjalnej” instrukcji uruchamiania TWBlue z kodu źródłowego. Więc, chociaż nie każdemu bym to polecał, zamieszczam niniejszą instrukcję.</p>
<h3>Dlaczego niektórzy użytkownicy chcą uruchamiać TWBlue z kodu źródłowego?</h3>
<p>Jest to program darmowy, a jego kod źródłowy jest w pełni dostępny. Można więc z powodzeniem używać TWBlue uruchamiając go z kodu źródłowego jak się to zwykle robi. Niektórzy zaczęli uruchamiać program w ten sposób, ponieważ dostają oni listę zmian kiedy tylko pojawi się ona w repozytorium, włącznie z każdą nową rzeczą dodawaną do klienta. Wpisują odpowiednią komendę i otrzymują zaktuaizowaną wersję kodu źródłowego. Jeśli chcecie wyprubować klienta zanim zostanie on udostępniony publicznie, możecie uruchomić go ze źródeł.</p>
<h3>Jak otrzymać git dla windows?</h3>
<p>Używamy narzędzia git do zarządzania kawałkami zmian w naszych repozytoriach. Aby wszystko zainstalować i otrzymać zmiany kodu źródłowego, należy <a href="https://git-scm.com/download/win">pobrać i zainstalować git dla windows z poniższego linku.</a> Tak jak w przypadku każdej aplikacji dla systemu windows, wystarczy  postępować zgodnie ze wskazówkami kreatora (ogólnie mówiąc, kilkukrotnie naciskać "Dalej", a następnie "Zakończ" kiedy instalacja przebiegnie pomyślnie.). Po instalacji, można kontynuować.</p>
<h3>Pobieranie plików</h3>
<p>Z menu start lub pulpitu należy wybrać aplikację Git CMD i wkleić tam następującą komendę.</p>
<blockquote>
<p>git clone https://github.com/manuelcortez/twblue --dept=1</p>
</blockquote>
<p>Uwaga! Po wklejeniu powyższej komendy należy odczekać chwilę, ponieważ w tym czasie pobierać się będą pewne pliki.</p>
<blockquote>
<p>cd TWBlue</p>
<p>git submodule init</p>
<p>git submodule update</p>
</blockquote>
<h3>Instalowanie zależności</h3>
<p>Po wklejeniu wszystkich powyższych komend, w katalogu domowym pojawi się podfolder o nazwie TWBlue. W nim z kolei znajduje się kilka innych katalogów i plików. Należy otworzyć folder "windows dependencies" i zainstalować pliki wykonywalne, które zostaną umieszczone w folderze x86 (dla systemów 32-bitowych) lub x64 (dla 64-bitowych). W przypadku systemu 64-bitowego, da się zainstalować jednocześnie 32 i 64-bitowe wersje wszystkich komponentów. Zwykle jednak wystarczą 64-bitowe, chyba że dany użytkownik chce zbudować wersję wykonywalną programu TWBlue. Podczas instalacji Pythona, należy upewnić się, że opcja dodawania Pythona do ścieżki zmiennej środowiskowej w systemie jest zaznaczona. To znacznie ułatwi sprawę. Pierwszym plikiem, który należy zainstalować jest odpowiednia wersja Pythona. Pozostałe mogą być instalowane w dowolnej kolejności. Są to:</p>
<ul>
<li>python-2.7.13</li>
<li>wxPython3.0-win32-3.0.2.0-py27</li>
<li>pywin32-220.win32-py2.7</li>
<li>pyenchant-1.6.6.win32</li>
<li>(optional, only needed if you want to build a distributable version of TWBlue) py2exe-0.6.9.win32-py2.7</li>
</ul>
<p>Pozostałe pliki można zignorować.</p>
<h3>Instalowanie innych skryptów Pythona</h3>
<p>Należy otworzyć wiersz poleceń (windows R) wpisując “cmd”, a potem wkleić następującą komendę:</p>
<blockquote>
<p>easy_install -Z --upgrade six configobj goslate markdown future suds requests oauthlib requests-oauthlib requests-toolbelt pypubsub==3.3.0 pygeocoder arrow==0.6 python-dateutil futures winpaths PySocks win_inet_pton yandex.translate</p>
</blockquote>
<p>Po zakończeniu instalacji, można już będzie uruchomić TWBlue.</p>
<h3>Uruchamianie TWBlue ze źródeł</h3>
<p>Należy przejść do folderu TWBlue otwierając go przy użyciu Eksploratora Windows. W tym folderze otworzyć katalog src i odnaleźć plik o nazwie main.py. Tu należy nacisnąć kontekstowy i wybrać “Otwórz za pomocą Python”, jeżeli nie jest to pierwsza opcja w menu. To powinno wystarczyć do uruchomienia TWBlue z kodu źródłowego.</p>
<h3>Pobieranie aktualizacji</h3>
<p>Użytkownicy, którzy śledzą konto TWBlue  na Twitterze, są na bieżąco z wprowadzanymi zmianami, ponieważ staram się publikować tam każdą aktualizację przesyłaną do oficjalnego repozytorium. Każdą nową aktualizację można zastosować do kodu, który już istnieje. Do synchronizacji tych zmian będzie potrzebny git, więc nie należy go usuwać. Aktualizacja kodu źródłowego składa się z kilku kroków. Oczywiście, jeżeli TWBlue jest uruchomiony ze źródeł, należy go zamknąć, zaktualizować kod źródłowy i ponownie otworzyć program.</p>
<p>Należy wybrać git CMD z pulpitu lub menu start, w zależności od przypadku.</p>
<p>potem wpisać następujące komendy:</p>
<blockquote>
<p>cd TWBlue</p>
<p>git pull</p>
</blockquote>
<p>Powinna pojawić się lista zaktualizowanych plików, lub komunikat “jest aktualne". i to już wszystko. Teraz można ponownie uruchomić klienta, aby zobaczyć najnowsze zmiany.</p>
<h3>Podziękowania</h3>
<p>Niniejszą instrukcję przygotowałem w oparciu o TWBlue "czytaj to" oraz instrukcję przygotowaną przez [@AnimalMetal], którą zmodyfikowałem. (https://twitter.com/AnimalMetal) Jeżeli podczas uruchamiania TWBlue ze źródeł znajdziecie jakieś błędy, napiszcie mi wspomnienie lub wiadomość prywatną na Twitterze. <a href="https://twitter.com/tw_blue2">@tw_blue2</a>) Postaramy się pomóc.</p>
    </div>
    <aside class="postpromonav"><nav><ul class="pager hidden-print">
<li class="previous">
                <a href="../1/" rel="prev" title="Witamy na nowej stronie programu TWBlue ">Poprzedni post</a>
            </li>
            <li class="next">
                <a href="../snapshots/" rel="next" title="Wersje rozwojowe powracają!">Następny post</a>
            </li>
        </ul></nav></aside></article><!--End of body content--><footer id="footer">
            Contents © 2023         <a href="https://mcvsoftware.com">MCV Software</a> - Powered by         <a href="https://getnikola.com" rel="nofollow">Nikola</a>         
            
            
        </footer>
</div>
</div>


        <script src="../../../assets/js/all-nocdn.js"></script><!-- Social buttons --><div id="addthisbox" class="addthis_toolbox addthis_peekaboo_style addthis_default_style addthis_label_style addthis_32x32_style">
<a class="addthis_button_more">Share</a>
<ul>
<li>
<a class="addthis_button_facebook"></a>
</li>
<li>
<a class="addthis_button_google_plusone_share"></a>
</li>
<li>
<a class="addthis_button_linkedin"></a>
</li>
<li>
<a class="addthis_button_twitter"></a>
</li>
</ul>
</div>
<script src="https://s7.addthis.com/js/300/addthis_widget.js#pubid=ra-4f7088a56bb93798"></script><!-- End of social buttons --><script>
    baguetteBox.run('div#content', {
        ignoreClass: 'islink',
        captions: function(element){var i=element.getElementsByTagName('img')[0];return i===undefined?'':i.alt;}});
    </script>
</body>
</html>
